Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen
Class SVGGeneratorContext.GraphicContextDefaults

    java.lang.Object
      org.apache.batik.svggen.SVGGeneratorContext.GraphicContextDefaults

Enclosing class:
  SVGGeneratorContext

    public static class SVGGeneratorContext.GraphicContextDefaults

extends Object

Class to describe the GraphicContext defaults to be used. Note that this class does *not* contain a default for the initial transform, as this transform *has to be identity* for the SVGGraphics2D to operate (the TransformStacks operation is based on that assumption. See the DOMTreeManager class).

Field Summary
`protected Color` | `background`
`protected Shape` | `clip`
`protected Composite` | `composite`
`protected Font` | `font`
`protected RenderingHints` | `hints`
`protected Paint` | `paint`
`protected Stroke` | `stroke`

Constructor Summary
`SVGGeneratorContext.GraphicContextDefaults()`

Method Summary
`Color` | `getBackground()`
`Shape` | `getClip()`
`Composite` | `getComposite()`
`Font` | `getFont()`
`Paint` | `getPaint()`
`RenderingHints` | `getRenderingHints()`
`Stroke` | `getStroke()`
`void` | `setBackground(Color background)`
`void` | `setClip(Shape clip)`
`void` | `setComposite(Composite composite)`
`void` | `setFont(Font font)`
`void` | `setPaint(Paint paint)`
`void` | `setRenderingHints(RenderingHints hints)`
`void` | `setStroke(Stroke stroke)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### paint

    protected Paint paint

### stroke

    protected Stroke stroke

### composite

    protected Composite composite

### clip

    protected Shape clip

### hints

    protected RenderingHints hints

### font

    protected Font font

### background

    protected Color background

Constructor Detail

### SVGGeneratorContext.GraphicContextDefaults

    public SVGGeneratorContext.GraphicContextDefaults()

Method Detail

### setStroke

    public void setStroke(Stroke stroke)

### getStroke

    public Stroke getStroke()

### setComposite

    public void setComposite(Composite composite)

### getComposite

    public Composite getComposite()

### setClip

    public void setClip(Shape clip)

### getClip

    public Shape getClip()

### setRenderingHints

    public void setRenderingHints(RenderingHints hints)

### getRenderingHints

    public RenderingHints getRenderingHints()

### setFont

    public void setFont(Font font)

### getFont

    public Font getFont()

### setBackground

    public void setBackground(Color background)

### getBackground

    public Color getBackground()

### setPaint

    public void setPaint(Paint paint)

### getPaint

    public Paint getPaint()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.